Karta Uživatelské DSN

Tato karta slouží k přidávání, odstraňování a nastavování uživatelských zdrojů dat (DSN). Tyto zdroje dat se vztahují ke konkrétnímu počítači a má k nim přístup pouze aktuální uživatel.

Ovládací prvek | Popis
Uživatelské zdroje dat | Zobrazí všechny uživatelské zdroje DSN včetně názvů a přidružených ovladačů všech zdrojů DSN. Poklepáním na uživatelský zdroj DSN zobrazíte dialogové okno pro nastavení zdroje dat specifického pro daný ovladač.
Přidat | Klepnutím přidáte nový uživatelský zdroj dat. Zobrazí ze dialogové okno Vytvoření nového zdroje dat, ve kterém vyberte ovladač, pro který chcete přidat uživatelský zdroj dat, a potom klepněte na tlačítko Dokončit. Zobrazí se dialogové okno pro nastavení specifické pro danou jednotku.
Odebrat | Odebere vybraný uživatelský zdroj dat ze seznamu Uživatelské zdroje dat.
Konfigurovat | Klepnutím změníte konfiguraci vybraného uživatelského zdroje dat. Zobrazí se dialogové okno pro nastavení zdroje dat specifického pro daný ovladač.
OK | Zavře dialogové okno Správce zdrojů dat ODBC. K přijetí změn na seznamu Uživatelské zdroje dat není nutné klepnout na tlačítko OK. Změny na seznamu jsou přijaty klepnutím na tlačítko OK v dialogovém okně pro nastavení zdroje dat.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC, ale nevrátí zpět změny provedené pomocí ostatních ovládacích prvků dialogového okna.
Nápověda | Zobrazí tuto nápovědu.


.topic 902
Zobrazí všechny uživatelské zdroje DSN včetně názvů a přidružených ovladačů všech zdrojů DSN. Poklepáním na uživatelský zdroj DSN zobrazíte dialogové okno pro nastavení zdroje dat specifického pro daný ovladač.

.topic 903
Klepnutím změníte konfiguraci vybraného uživatelského zdroje dat.

.topic 904
Klepnutím přidáte nový uživatelský zdroj dat.

.topic 905
Klepnutím odeberete vybraný uživatelský zdroj dat.

.topic 910
Zobrazí všechny systémové zdroje DSN včetně názvů a přidružených ovladačů všech zdrojů DSN. Poklepáním na systémový zdroj DSN zobrazíte dialogové okno pro nastavení zdroje dat specifického pro daný ovladač.

.topic 911
Klepnutím změníte konfiguraci vybraného systémového zdroje dat.

.topic 912
Klepnutím přidáte nový systémový zdroj dat.

.topic 913
Klepnutím odeberete vybraný systémový zdroj dat.

.topic 915
Zobrazí všechny souborové zdroje DSN a podadresáře adresáře označeného v okně Oblast hledání. Poklepáním na souborový zdroj DSN zobrazíte dialogové okno pro nastavení zdroje dat specifické pro daný ovladač.

.topic 916
Klepnutím změníte konfiguraci vybraného souborového zdroje dat.

.topic 917
Klepnutím přidáte nový souborový zdroj dat.

.topic 918
Klepnutím odeberete vybraný souborový zdroj dat.

.topic 919
Nastaví adresář označený v okně Oblast hledání jako výchozí při spuštění Správce ODBC.

.topic 920
Zobrazí adresář, pro který jsou uvedeny podadresáře a souborové zdroje DSN v níže zobrazeném okně.

.topic 921
Nahradí adresář označený v okně Oblast hledání adresářem nacházejícím se o jednu úroveň výše.

.topic 969
Zobrazí všechny nainstalované ovladače ODBC s příslušnými časovými limity sdružování připojení. Časový limit lze nastavit po poklepání na název ovladače ODBC.

.topic 965
Název, verze, společnost, název souboru a datum zahájení prodeje každého nainstalovaného ovladače ODBC.

.topic 924
Umožňuje nastavit možnosti trasování pro aplikaci.

.topic 926
Umožňuje nepřetržité dynamické trasování bez ohledu na to, zda bylo vytvořeno připojení, po dobu zobrazení dialogového okna Správce zdrojů dat ODBC nebo dokud neklepnete na tlačítko Zastavit trasování. (Toto tlačítko slouží jako přepínač funkcí Spustit trasování a Ukončit trasování.)

.topic 923
Aktivuje program Visual Studio Analyzer, který zůstane aktivován, dokud neklepnete na tlačítko Zastavit program Visual Studio Analyzer. (Toto tlačítko slouží jako přepínač funkce Spustit program Visual Studio Analyzer a Zastavit program Visual Studio Analyzer.)

.topic 927
Zobrazí název souboru a cesty, kde budou uloženy trasovací informace. Výchozí nastavení je soubor protokolu sql.log.

.topic 968
Vyberte cestu a název souboru protokolu.

.topic 928
Zadejte příslušnou cestu a název vlastního trasovacího souboru DLL.

.topic 929
Vyhledejte vlastní trasovací soubor DLL.

.topic 952
Zobrazí všechny souborové zdroje DSN a podadresáře adresáře označeného v okně Oblast hledání. Poklepáním na zdroj DSN vytvoříte připojení ke zdroji dat.

.topic 953
Označuje adresář, pro který jsou uvedeny podadresáře a souborové zdroje DSN v níže zobrazeném okně.

.topic 954
Nahradí adresář zobrazený v okně Oblast hledání adresářem nacházejícím se o jednu úroveň výše.

.topic 955
Zobrazí název souborového zdroje DSN vybraného v seznamu Souborové zdroje dat nebo zadaného ručně.

.topic 957
Klepnutím přidáte nový souborový zdroj dat.

.topic 961
Zobrazí všechny uživatelské a systémové zdroje DSN včetně názvů a typů všech zdrojů DSN. Poklepáním na zdroj DSN vytvoříte připojení ke zdroji dat.

.topic 970
Zobrazí v sekundách délku časového limitu pro vybraný ovladač.

.topic 974
Nastaví sledování rychlosti připojení při ladění, ale ovlivní výkon aplikace.

.topic 971
Umožní sledovat rychlost připojení.

.topic 972
Vypne sledování rychlosti připojení.

.topic 973
Určí v sekundách dobu čekání při opakování pokusu o připojení.

.topic 962
Klepnutím přidáte nový zdroj dat počítače.


Karta O rozhraní ODBC

Tato karta zobrazuje informace o hlavních součástech rozhraní ODBC včetně Správce ovladačů, knihovny kurzorů, knihovny DLL instalačního programu a dalších souborů tvořících hlavní součásti.

Ovládací prvek | Popis
Seznam součástí jádra | Popis, verze, název souboru a umístění všech součástí jádra rozhraní ODBC.
OK | Zavře dialogové okno Správce zdrojů dat ODBC.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC, ale nevrátí zpět změny provedené pomocí ostatních ovládacích prvků dialogového okna.
Nápověda | Zobrazí tuto nápovědu.


Karta Sdružování připojení

Tato karta umožňuje měnit prodlevu opakování pokusu o připojení a dobu časového limitu pro připojení u vybraného ovladače pomocí sdružování připojení a zároveň umožňuje povolit nebo zakázat sledování výkonu, které zaznamenává statistiky týkající se připojení. Sdružování připojení umožňuje aplikacím použít sdružené připojení, které není třeba obnovovat při každém dalším použití. Jakmile je připojení vytvořeno a sdruženo, může jej aplikace znovu použít, aniž by bylo třeba provádět celý proces připojování.

Ovládací prvek | Popis
Ovladače ODBC | Zobrazí názvy všech nainstalovaných ovladačů ODBC s příslušnou možností časového limitu sdružování připojení. Časový limit sdružování připojení nastavíte po poklepání na název ovladače ODBC.
Časový limit sdružování připojení | Nastaví v sekundách časový limit sdružování připojení pro vybraný ovladač. Aby bylo možné nastavit atributy sdružování připojení, je nutné poklepat na název ovladače. Zobrazí se dialogové okno Nastavit atributy sdružování připojení. Můžete nastavit dobu, po kterou zůstane nevyužité připojení sdružené, a také aktivovat sdružování připojení pro vybraný ovladač.
Zapnout | Umožní sledování čítačů rychlosti připojení pro sdružování připojení. Další informace o sledování výkonu naleznete v příručce ODBC Programmer's Reference (Příručka programátora ODBC).
Vypnout | Vypne sledování čítačů rychlosti připojení pro sdružování připojení. Další informace o sledování výkonu naleznete v příručce ODBC Programmer's Reference (Příručka programátora ODBC).
Prodleva opakování | Určuje v sekundách (maximálně pět číslic), jak dlouho počká Správce ovladačů ODBC před opakováním pokusu o připojení k databázovému serveru.
OK | Přijme změnu nastavení sdružování připojení a zavře dialogové okno Správce zdrojů dat ODBC.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC bez přijetí změny nastavení.
Použít | Přijme změnu nastavení sdružování připojení a nechá dialogové okno Správce zdrojů dat ODBC otevřené.
Nápověda | Zobrazí tuto nápovědu.


Karta Souborový zdroj dat

Tato karta umožňuje připojení ke zdroji dat obsahujícímu souborové zdroje dat (DSN). Souborový zdroj dat nemusí nutně souviset s konkrétním uživatelem nebo počítačem a může být sdílen všemi uživateli, kteří mají nainstalovány stejné ovladače.

Ovládací prvek | Popis
Souborový zdroj dat | Zobrazuje všechny souborové zdroje DSN a podadresáře adresáře označeného v okně Oblast hledání. Poklepáním na zdroj DSN vytvoříte připojení ke zdroji dat.
Oblast hledání | Označuje adresář, pro který jsou uvedeny podadresáře a souborové zdroje DSN v níže zobrazeném okně. Klepnutím na šipku dolů u tohoto textového pole zobrazíte celou strukturu adresáře.
Nahoru | Nahradí adresář označený v okně Oblast hledání adresářem nacházejícím se o jednu úroveň výše.
Název DSN | Zobrazí název souborového zdroje DSN vybraného v seznamu Souborové zdroje dat nebo zadaného ručně.
Nový | Klepnutím přidáte nový souborový zdroj dat. Zobrazí se dialogové okno Vytvoření nového zdroje dat, ve kterém vyberte ovladač, pro který chcete přidat souborový zdroj DSN, klepněte na tlačítko Další a zadejte název nebo umístění nového souborového zdroje DSN. Opakovaným klepnutím na tlačítko Další zobrazíte souhrn nových informací. Klepnutím na tlačítko Dokončit zobrazíte dialogové okno pro nastavení specifického ovladače.
OK | Zavře dialogové okno Vybrat zdroj dat a připojí se k souborovému zdroji dat, který je označen v textovém poli Název DSN. K přijetí změn na seznamu Souborové zdroje dat není nutné klepnout na tlačítko OK. Změny na seznamu jsou přijaty klepnutím na tlačítko OK v dialogovém okně pro nastavení zdroje dat.
Storno | Zavře dialogové okno Vybrat zdroj dat bez připojení k souborovému zdroji dat a bez vrácení změn provedených prostřednictvím ostatních ovládacích prvků dialogového okna.
Nápověda | Zobrazí tuto nápovědu.


Karta Souborové DSN

Tato karta slouží k přidávání, odstraňování a nastavování zdrojů dat na základě souborů. Tyto zdroje mohou být sdíleny všemi uživateli, kteří mají nainstalované stejné ovladače. Souborové zdroje dat se nemusejí vztahovat ke konkrétnímu uživateli nebo počítači.

Ovládací prvek | Popis
Souborové zdroje dat | Zobrazí všechny souborové zdroje dat (DSN) a podadresáře adresáře označeného v okně Oblast hledání. Poklepáním na souborový zdroj DSN zobrazíte dialogové okno pro nastavení zdroje dat specifické pro daný ovladač.
Přidat | Klepnutím přidáte nový souborový zdroj dat. Zobrazí se dialogové okno Vytvoření nového zdroje dat, ve kterém vyberte ovladač, pro který chcete přidat uživatelský zdroj dat, klepněte na tlačítko Další a zadejte název nebo umístění nového souborového zdroje dat. Opakovaným klepnutím na tlačítko Další zobrazíte souhrnné informace o novém zdroji dat. Klepnutím na tlačítko Dokončit zobrazíte dialogové okno pro nastavení specifického ovladače.
Odebrat | Odebere vybraný souborový zdroj dat. Před klepnutím na tlačítko Odebrat je nejprve nutné vybrat ze seznamu souborový zdroj dat, který chcete odebrat.
Konfigurovat | Klepnutím změníte konfiguraci vybraného souborového zdroje dat. Před klepnutím na tlačítko Konfigurovat je nejprve nutné vybrat ze seznamu souborový zdroj dat. Zobrazí se dialogové okno pro nastavení zdroje dat specifického pro danou jednotku.
Nastavit adresář | Nastaví adresář označený v okně Oblast hledání jako výchozí při spuštění Správce ODBC.
Oblast hledání | Zobrazí adresář, pro který jsou uvedeny podadresáře a souborové zdroje DSN v níže zobrazeném okně. Klepnutím na šipku dolů u tohoto textového pole zobrazíte celou strukturu adresáře. Výchozí adresář, který se zobrazí při prvním spuštění Správce ODBC, je součástí systémových informací, ale lze jej změnit po klepnutí na tlačítko Nastavit adresář.
Nahoru | Nahradí adresář zobrazený v okně Oblast hledání adresářem nacházejícím se o jednu úroveň výše.
OK | Zavře dialogové okno Správce zdrojů dat ODBC. K přijetí změn na seznamu Souborové zdroje dat není nutné klepnout na tlačítko OK. Změny na seznamu jsou přijaty klepnutím na tlačítko OK v dialogovém okně pro nastavení zdroje dat.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC, ale nevrátí zpět změny provedené pomocí ostatních ovládacích prvků dialogového okna.
Nápověda | Zobrazí tuto nápovědu.


Karta Zdroj dat počítače

Tato karta umožňuje připojení ke zdroji dat s uživatelským zdrojem dat (DSN) nebo systémovým zdrojem DSN. Zdroje dat počítače se vztahují ke konkrétnímu počítači a nemohou být sdíleny.

Ovládací prvek | Popis
Zdroj dat počítače | Zobrazí všechny uživatelské a systémové zdroje DSN včetně názvů a typů všech zdrojů DSN. Poklepáním na zdroj DSN vytvoříte připojení ke zdroji dat.
Nový | Klepnutím přidáte nový zdroj dat počítače. Zobrazí se dialogové okno Vytvoření nového zdroje dat, ve kterém vyberte ovladač, pro který chcete přidat uživatelský nebo systémový zdroj DSN, klepněte na tlačítko Další a zadejte název nebo umístění nového zdroje DSN. Opakovaným klepnutím na tlačítko Další zobrazíte souhrn nových informací. Klepnutím na tlačítko Dokončit zobrazíte dialogové okno pro nastavení specifického ovladače.
OK | Zavře dialogové okno Vybrat zdroj dat a vytvoří připojení k vybranému zdroji dat. Klepnutím na tlačítko OK nedojde k přijetí změn na seznamu Zdroje dat počítače. Změny na seznamu jsou přijaty klepnutím na tlačítko OK v dialogovém okně pro nastavení zdroje dat.
Storno | Zavře dialogové okno Vybrat zdroj dat bez připojení k souborovému zdroji dat a bez vrácení změn provedených prostřednictvím ostatních ovládacích prvků dialogového okna.
Nápověda | Zobrazí tuto nápovědu.


Karta Ovladače

Zobrazí informace o ovladačích ODBC nainstalovaných v počítači. Na této kartě není možné provést žádnou akci. Přidat nebo odebrat ovladače ODBC je možné pouze pomocí instalačního programu ke konkrétnímu ovladači.

Ovládací prvek | Popis
Ovladače ODBC | Název, verze, společnost, název souboru a datum vytvoření souboru každého nainstalovaného ovladače ODBC.
OK | Zavře dialogové okno Správce zdrojů dat ODBC.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC.
Nápověda | Zobrazí tuto nápovědu.


Karta Systémové DSN

Tato karta slouží k přidávání, odstraňování a nastavování systémových zdrojů dat (DSN). Tyto zdroje dat se vztahují ke konkrétnímu počítači, nikoli však ke konkrétnímu uživateli. K systémovému zdroji DSN mají přístup všichni uživatelé s oprávněním.

Ovládací prvek | Popis
Systémové zdroje dat | Zobrazí všechny systémové zdroje DSN včetně názvů a přidružených ovladačů všech zdrojů DSN. Poklepáním na systémový zdroj DSN zobrazíte dialogové okno pro nastavení zdroje dat specifického pro daný ovladač.
Přidat | Klepnutím přidáte nový systémový zdroj dat. Zobrazí ze dialogové okno Vytvoření nového zdroje dat, ve kterém vyberte ovladač, pro který chcete přidat systémový zdroj dat, a potom klepněte na tlačítko Dokončit. Zobrazí se dialogové okno pro nastavení specifické pro danou jednotku.
Odebrat | Odebere vybraný systémový zdroj dat ze seznamu Systémové zdroje dat.
Konfigurovat | Klepnutím změníte konfiguraci zdroje dat vybraného systémového zdroje dat. Zobrazí dialogové okno pro nastavení zdroje dat specifické pro daný ovladač, které umožňuje změnit konfiguraci existujícího systémového zdroje dat. Před klepnutím na tlačítko Konfigurovat je nutné vybrat ze seznamu systémový zdroj dat.
OK | Zavře dialogové okno Správce zdrojů dat ODBC. K přijetí změn na seznamu Systémové zdroje dat není nutné klepnout na tlačítko OK. Změny na seznamu jsou přijaty klepnutím na tlačítko OK v dialogovém okně pro nastavení zdroje dat.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC, ale nevrátí zpět změny provedené pomocí ostatních ovládacích prvků dialogového okna.
Nápověda | Zobrazí tuto nápovědu.


Karta Trasování

Určuje způsob, jakým Správce ovladačů ODBC trasuje volání funkcí ODBC. Správce ovladačů může trasovat volání nepřetržitě nebo pouze pro jedno připojení, může provádět trasování dynamicky nebo může povolit trasování pomocí vlastní trasovací knihovny DLL.

Ovládací prvek | Popis
Spustit trasování/Zastavit trasování | Umožňuje nepřetržité dynamické trasování bez ohledu na to, zda bylo vytvořeno připojení, po dobu zobrazení dialogového okna Správce zdrojů dat ODBC nebo dokud neklepnete na tlačítko Zastavit trasování.
Spustit program Visual Studio Analyzer/Zastavit program Visual Studio Analyzer | Aktivuje program Visual Studio Analyzer, který zůstane aktivován, dokud neklepnete na tlačítko Zastavit program Visual Studio Analyzer. Program Visual Studio Analyzer je nástroj, který lze použít k ladění a analyzování distribuované aplikace. Další informace o tomto programu naleznete v dokumentaci knihovny MSDN Library.
Cesta k souboru protokolu | Zobrazí název souboru a cesty, kde budou uloženy trasovací informace. Použijte výchozí cestu a název souboru (\sql.log) nebo zadejte nový soubor tak, že zadáte novou cestu a název souboru nebo klepnete na tlačítko Procházet a vyberete adresář a soubor.
Procházet | Umožňuje vybrat cestu a název souboru protokolu procházením adresářů počítače.
Vlastní trasovací knihovna DLL | Umožňuje vybrat pro trasování jiný soubor DLL než Odbctrac.dll. Zadejte cestu a název vlastního souboru DLL nebo klepněte na tlačítko Vybrat knihovnu DLL a soubor vyhledejte. Soubor Odbctrac.dll, který je dodáván v sadě SDK pro součásti MDAC, můžete nahradit vlastním souborem DLL.
Vybrat knihovnu DLL | Umožňuje uživateli vyhledat vlastní trasovací knihovnu DLL. Umístění a název vybrané knihovny DLL se zobrazí v textovém poli Vlastní trasovací knihovna DLL.
OK | Přijme změny nastavení v oknech Cesta k souboru protokolu a Vlastní trasovací knihovna DLL a zavře dialogové okno Správce zdrojů dat ODBC.
Storno | Zavře dialogové okno Správce zdrojů dat ODBC bez přijetí změny nastavení.
Použít | Přijme změnu nastavení trasování a nechá dialogové okno Správce zdrojů dat ODBC otevřené.
Nápověda | Zobrazí tuto nápovědu.


Dialogové okno Volba převaděče

Dialogové okno Volba převaděče obsahuje seznam nainstalovaných převodních knihoven DLL a umožňuje jednu z nich vybrat. Ovladač tak může převést data z jedné znakové sady do druhé. Aplikace a zdroj dat často ukládají data pomocí odlišných znakových sad. Rozhraní ODBC nabízí obecný mechanismus, který umožňuje ovladači převádět data z jedné znakové sady do druhé.

Po určení převodní knihovny DLL ji ovladač načte a volá při převodu všech dat předávaných mezi aplikací a zdrojem dat. Převod zahrnuje všechny příkazy SQL a parametry znaků zasílané do zdroje dat i všechny výsledné znaky, metadata znaků (například názvy sloupců) a chybové zprávy ze zdroje dat přijímané. Data týkající se připojení převáděna nejsou, protože převodní knihovna DLL je načtena až po připojení aplikace ke zdroji dat.

Převodní knihovna DLL implementující převodní funkce SQLDriverToDataSource a SQLDataSourceToDriver, které jsou volány ovladačem, může být zapsána vývojářem aplikace, vývojářem ovladače nebo třetí stranou.

Další informace o převodních knihovnách DLL naleznete v příručce ODBC Programmer's Reference (Příručka programátora ODBC).